GET /v1/service-accounts/{id}
Get a single service account by ID
GET
/v1/service-accounts/{id}
Get a single service account by ID
Path Parameters
id
string
required
path
Service account ID
Responses
200
OK
application/jsoncode
integer
data
object
createdAt
string
createdBy
string
description
string
disabledAt
string
id
string
name
string
organizationId
string
permissions
string[]
Array of:
status
string
Enum:
active, disabledupdatedAt
string
message
string
requestId
string
400
Bad Request
curl -X GET 'https://api.example.com/v1/service-accounts/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/service-accounts/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/service-accounts/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/service-accounts/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "disabledAt": "<string>", "id": "<string>", "name": "<string>", "organizationId": "<string>", "permissions": [ "org:read" ], "status": "active", "updatedAt": "<string>" }, "message": "success", "requestId": "req_123"}
API Playground
Try this endpoint
GET
/v1/service-accounts/{id}
